Skip to main content
PUT
/
api
/
v1
/
management
/
surveys
/
{surveyId}
Update Survey
curl --request PUT \
  --url 'http://{{baseurl}}/api/v1/management/surveys/{surveyId}' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "name": "Example Survey"
}
'
import requests

url = "http://{{baseurl}}/api/v1/management/surveys/{surveyId}"

payload = { "name": "Example Survey" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Survey'})
};

fetch('http://{{baseurl}}/api/v1/management/surveys/{surveyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "autoClose": null,
    "autoComplete": null,
    "closeOnDate": null,
    "createdAt": "2024-08-05T11:08:27.042Z",
    "createdBy": "clfv1zvij0000ru0gunwpy43a",
    "delay": 0,
    "displayLimit": null,
    "displayOption": "displayOnce",
    "displayPercentage": null,
    "endings": [
      {
        "buttonLabel": {
          "default": "Create your own Survey"
        },
        "buttonLink": "https://feedbackflowhq.com/signup",
        "headline": {
          "default": "Thank you!"
        },
        "id": "p73t62dgwq0cvmtt6ug0hmfc",
        "subheader": {
          "default": "We appreciate your feedback."
        },
        "type": "endScreen"
      }
    ],
    "environmentId": "clygwxsbh01v5aga1sdien2th",
    "hiddenFields": {
      "enabled": false,
      "fieldIds": []
    },
    "id": "clzgw1k4i0001mny1unf8eggn",
    "isVerifyEmailEnabled": false,
    "languages": [],
    "name": "Example Survey",
    "pin": null,
    "productOverwrites": null,
    "questions": [
      {
        "headline": {
          "default": "What would you like to know?"
        },
        "id": "ovpy6va1hab7fl12n913zua0",
        "inputType": "text",
        "placeholder": {
          "default": "Type your answer here..."
        },
        "required": true,
        "subheader": {
          "default": "This is an example survey."
        },
        "type": "openText"
      },
      {
        "choices": [
          {
            "id": "xpoxuu3sifk1ee8he67ctf5i",
            "label": {
              "default": "Sun ☀️"
            }
          },
          {
            "id": "hnsovcdmxtcbly6tig1az3qc",
            "label": {
              "default": "Ocean 🌊"
            }
          },
          {
            "id": "kcnelzdxknvwo8fq20d3nrr5",
            "label": {
              "default": "Palms 🌴"
            }
          }
        ],
        "headline": {
          "default": "What's important on vacay?"
        },
        "id": "awkn2llljy7a4oulp5t15yec",
        "required": true,
        "shuffleOption": "none",
        "type": "multipleChoiceMulti"
      }
    ],
    "recontactDays": null,
    "redirectUrl": null,
    "resultShareKey": null,
    "runOnDate": null,
    "segment": null,
    "showLanguageSwitch": null,
    "singleUse": {
      "enabled": false,
      "isEncrypted": true
    },
    "status": "inProgress",
    "styling": null,
    "surveyClosedMessage": null,
    "triggers": [],
    "type": "link",
    "updatedAt": "2024-08-05T11:09:21.826Z",
    "welcomeCard": {
      "enabled": true,
      "fileUrl": "",
      "headline": {
        "default": "Welcome!"
      },
      "html": {
        "default": "<p class=\"fb-editor-paragraph\" dir=\"ltr\"><span style=\"white-space: pre-wrap;\">Thanks for providing your feedback - let's go!</span></p>"
      },
      "showResponseCount": false,
      "timeToFinish": false
    }
  }
}
{
"code": "bad_request",
"details": {},
"message": "Survey with ID cls79mi7j0000hq9o4dd60xsk not found"
}

Headers

x-api-key
string
required

Path Parameters

surveyId
string
required

Body

application/json

The body is of type object.

Response

OK

The response is of type object.